# Contributing

### Overview

* Fork juliusjs to your own account
* Create a feature branch, namespaced by.
  * fix/...
  * feat/...
  * test/...
  * docs/...
  * refactor/...
  * cleanup/...
* Make commits to your feature branch.<br> Prefix each commit with the branch namespace, and end with a period:
  * (fix) Fixed inconsistent tests [Fixes #0].
  * (feat) Added a new feature.
  * (test) ...
* Include the changes you've made in your commit comments as a bulleted list:
  ```sh
  - Removed console.log
  - Added console.error in its stead
  ```
  - Keep commits small and focused. Lists should not have more than three points.
* Make a pull request with your changes directly to master. Include a brief description of your changes.

#### Thank you for contributing!
